For the complete documentation index, see llms.txt. This page is also available as Markdown.

List tenants

Listing all tenant the user has access to.

Required permissions: TENANT

get
/tenants
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants
GET /v2/tenants HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "countryCode": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "pricelistUid": "text",
      "tenantUid": "text",
      "vatNumber": "text",
      "settings": {
        "allowExternalCashDrawer": false,
        "autoLogout": 1,
        "autoPrintReceipt": true,
        "numericSkuCounter": 1,
        "printCardPaymentDetails": false,
        "sendInvoicesExternally": true,
        "duplicateCheckCustomerPhoneNumber": true,
        "duplicateCheckCustomerVatNumber": true,
        "useOriginalSellerOnCreditLine": true,
        "defaultCustomerGroupUid": "text",
        "printReceiptNumber": true,
        "requiredCustomerFields": [
          "email"
        ],
        "requiredCompanyFields": [
          "email"
        ],
        "requiredCompanyDepartmentFields": [
          "email"
        ],
        "requiredContactFields": [
          "email"
        ],
        "enforceStrongPin": true,
        "customerContactsRequiresEmail": true,
        "customerContactsEmailDuplicateCheck": true
      },
      "appSettings": {
        "showOutOfStockWarning": true,
        "defaultParkedOrderLifespanDays": 1,
        "requirePinCodeForSale": true,
        "requirePinCodeForCredit": true,
        "autoSendWelcomeSms": true,
        "autoSendWelcomeMail": true,
        "defaultCustomerGroupUid": "text",
        "helpUrl": "https://example.com"
      },
      "extensions": [
        {
          "extensionCode": "FLOWGIFTCARD",
          "name": "text",
          "active": true,
          "tenantExtensionUid": "text"
        }
      ],
      "assets": {
        "logo": {
          "url": "text",
          "assetUid": "text"
        },
        "splash": {
          "url": "text",
          "assetUid": "text"
        }
      },
      "timezone": "text",
      "languageCode": "text",
      "currency": {
        "code": "text",
        "name": "text",
        "symbol": "text",
        "symbolPosition": "text",
        "decimalSeparator": "text",
        "thousandSeparator": "text",
        "cashRounding": 1
      }
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?